Index: /palm/trunk/SOURCE/turbulence_closure_mod.f90
===================================================================
--- /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/turbulence_closure_mod.f90	(revision 4346)
@@ -4665,5 +4669,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(dvar_dz, l, l_stable, l_v) &
-       !$ACC PRESENT(wall_flags_static_0, var, dd2zu, e, l_wall, l_grid, rmask) &
+       !$ACC PRESENT(wall_flags_total_0, var, dd2zu, e, l_wall, l_grid, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4697,5 +4701,5 @@
 
                 l_v(k) = MIN( l_wall(k,j,i), l_stable(k) )                      &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 l = l_v(k)
 !
@@ -4722,5 +4726,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(dvar_dz, duv2_dz2, l_stable, l_v, rif) &
-       !$ACC PRESENT(wall_flags_static_0, var, dd2zu, e, u, v, l_wall, l_black, rmask) &
+       !$ACC PRESENT(wall_flags_total_0, var, dd2zu, e, u, v, l_wall, l_black, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4770,5 +4774,5 @@
              !DIR$ IVDEP
              DO  k = nzb+1, nzt
-                l_v(k)    = l_stable(k) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                l_v(k)    = l_stable(k) * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
                 km(k,j,i) = c_0 * l_v(k) * SQRT( e(k,j,i) )
                 kh(k,j,i) = km(k,j,i) / prandtl_number
@@ -4791,5 +4795,5 @@
        !$ACC PARALLEL LOOP COLLAPSE(2) PRIVATE(i, j) &
        !$ACC PRIVATE(l_v) &
-       !$ACC PRESENT(wall_flags_static_0, e, diss, rmask) &
+       !$ACC PRESENT(wall_flags_total_0, e, diss, rmask) &
        !$ACC PRESENT(kh, km, sums_l_l)
        DO  i = nxlg, nxrg
@@ -4802,5 +4806,5 @@
 
                 l_v(k) = c_0**3 * e(k,j,i) * SQRT(e(k,j,i)) / ( diss(k,j,i) + 1.0E-30_wp ) &
-                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+                       * MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
                 km(k,j,i) = c_0 * SQRT( e(k,j,i) ) * l_v(k)
@@ -4939,5 +4943,5 @@
           DO  k = nzb+1, nzt
 
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 0 ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 0 ) )
 
 !
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 4346)
@@ -28,4 +28,8 @@
 ! -----------------
 ! $Id$
+! Removed wall_flags_static_0 from USE statements as it's not used within
+! the module
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -261,5 +265,5 @@
     USE indices,                                                               &
         ONLY:  nx, ny, nnx, nny, nnz, nxl, nxlg, nxr, nxrg, nyn, nyng, nys,    &
-               nysg, nzb, nzt, nbgp, topo_top_ind, wall_flags_static_0
+               nysg, nzb, nzt, nbgp, topo_top_ind
 
     USE, INTRINSIC :: iso_c_binding 
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 4345)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -1053,5 +1057,5 @@
 !                                     * rmask(j,i,sr)                          &
 !                                     * MERGE( 1.0_wp, 0.0_wp,                 &
-!                                              BTEST( wall_flags_static_0(k,j,i), 0 ) )
+!                                              BTEST( wall_flags_total_0(k,j,i), 0 ) )
 !!
 !!--             Further profiles can be defined and calculated by increasing
Index: /palm/trunk/SOURCE/vdi_internal_controls.f90
===================================================================
--- /palm/trunk/SOURCE/vdi_internal_controls.f90	(revision 4345)
+++ /palm/trunk/SOURCE/vdi_internal_controls.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -83,5 +87,5 @@
                nzb,                         &
                nzt,                         &
-               wall_flags_static_0
+               wall_flags_total_0
 
     USE kinds
@@ -205,5 +209,5 @@
 !
 !--    If the grid point lies in a building, a new point is defined
-       DO WHILE ( .NOT. BTEST( wall_flags_static_0(cgp_k,cgp_j,cgp_i), 1 ) )
+       DO WHILE ( .NOT. BTEST( wall_flags_total_0(cgp_k,cgp_j,cgp_i), 1 ) )
           CALL RANDOM_NUMBER( random )
           cgp_k = cgp_k + FLOOR( ( nzt - cgp_k ) * random )   !< Random number upon cgp_k
@@ -454,5 +458,5 @@
        DO  j = nys, nyn
           DO  k = nzb+1, nzt+1
-             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), quant_type ) )
+             flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), quant_type ) )
              quant_av_k_l(k) = quant_av_k_l(k) + quant(k,j,i) * flag
              count_2d_l(k)   = count_2d_l(k) + INT( flag, KIND=iwp )
@@ -482,5 +486,5 @@
                                 + ( quant(k,j,i) - quant_av_k(k) )**2 &
                                 * MERGE( 1.0_wp, 0.0_wp,              &
-                                         BTEST( wall_flags_static_0(k,j,i), quant_type ) )
+                                         BTEST( wall_flags_total_0(k,j,i), quant_type ) )
           ENDDO
        ENDDO
@@ -722,5 +726,5 @@
       DO  j = nys, nyn
          DO  k = nzb, nzt+1
-            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), quant_type ) )
+            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), quant_type ) )
             quant_av_l = quant_av_l + quant(k,j,i) * flag
             average_count_l = average_count_l + INT( flag, KIND=iwp )
@@ -774,5 +778,5 @@
                               + u(k,j,i) * dzw(k) * dy                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_static_0(k,j,i), 1 )  &
+                                 BTEST( wall_flags_total_0(k,j,i), 1 )  &
                                      )
           ENDDO
@@ -788,5 +792,5 @@
                               - u(k,j,i) * dzw(k) * dy                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_static_0(k,j,i), 1 )  &
+                                 BTEST( wall_flags_total_0(k,j,i), 1 )  &
                                      )
           ENDDO
@@ -803,5 +807,5 @@
                               + v(k,j,i) * dzw(k) * dx                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_static_0(k,j,i), 2 )  &
+                                 BTEST( wall_flags_total_0(k,j,i), 2 )  &
                                      )
           ENDDO
@@ -817,5 +821,5 @@
                               - v(k,j,i) * dzw(k) * dx                  &
                               * MERGE( 1.0_wp, 0.0_wp,                  &
-                                       BTEST( wall_flags_static_0(k,j,i), 2 )  &
+                                 BTEST( wall_flags_total_0(k,j,i), 2 )  &
                                      )
           ENDDO
Index: /palm/trunk/SOURCE/virtual_measurement_mod.f90
===================================================================
--- /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/virtual_measurement_mod.f90	(revision 4346)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4329 2019-12-10 15:46:36Z motisi
 ! Renamed wall_flags_0 to wall_flags_static_0
 ! 
@@ -124,5 +128,6 @@
 
     USE indices,                                                               &
-        ONLY:  nzb, nzt, nxl, nxr, nys, nyn, nx, ny, topo_top_ind, wall_flags_static_0
+        ONLY:  nzb, nzt, nxl, nxr, nys, nyn, nx, ny, topo_top_ind,             &
+               wall_flags_total_0
 
     USE kinds
@@ -783,8 +788,8 @@
                       DO  j = js-1, js+1
                          DO  k = kl, ku
-                            meas_flag(k,j,i) = MERGE(                          &
-                                             IBSET( meas_flag(k,j,i), 0 ),     &
-                                             0,                                &
-                                             BTEST( wall_flags_static_0(k,j,i), 0 )   &
+                            meas_flag(k,j,i) = MERGE(                              &
+                                             IBSET( meas_flag(k,j,i), 0 ),         &
+                                             0,                                    &
+                                             BTEST( wall_flags_total_0(k,j,i), 0 ) &
                                                     )
                          ENDDO
Index: /palm/trunk/SOURCE/wind_turbine_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4345)
+++ /palm/trunk/SOURCE/wind_turbine_model_mod.f90	(revision 4346)
@@ -26,4 +26,8 @@
 ! -----------------
 ! $Id$
+! Introduction of wall_flags_total_0, which currently sets bits based on static
+! topography information used in wall_flags_static_0
+! 
+! 4343 2019-12-17 12:26:12Z oliver.maas
 ! replaced <= by < in line 1464 to ensure that ialpha will not be 
 ! greater than dlen
@@ -118,5 +122,5 @@
     USE indices,                                                               &
         ONLY:  nbgp, nx, nxl, nxlg, nxr, nxrg, ny, nyn, nyng, nys, nysg, nz,   &
-               nzb, nzt, wall_flags_static_0
+               nzb, nzt, wall_flags_total_0
 
     USE kinds
@@ -2228,5 +2232,5 @@
 !
 !--                         Predetermine flag to mask topography
-                            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                            flag = MERGE( 1.0_wp, 0.0_wp, BTEST( wall_flags_total_0(k,j,i), 1 ) )
       
 !
@@ -2702,5 +2706,5 @@
                                   - tend_nac_x - tend_tow_x )                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
                    ENDDO
                 ENDDO
@@ -2722,5 +2726,5 @@
                                   - tend_nac_y - tend_tow_y )                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
                    ENDDO
                 ENDDO
@@ -2737,5 +2741,5 @@
                       tend(k,j,i) = tend(k,j,i) - rot_tend_z(k,j,i)            &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 3 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 3 ) )
                    ENDDO
                 ENDDO
@@ -2788,5 +2792,5 @@
                             - tend_nac_x - tend_tow_x )                        &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                            BTEST( wall_flags_static_0(k,j,i), 1 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 1 ) )
              ENDDO
           ENDIF
@@ -2804,5 +2808,5 @@
                             - tend_nac_y - tend_tow_y )                        &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 2 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 2 ) )
                 ENDDO
           ENDIF
@@ -2815,5 +2819,5 @@
                 tend(k,j,i) = tend(k,j,i) - rot_tend_z(k,j,i)                  &
                                       * MERGE( 1.0_wp, 0.0_wp,                 &
-                                               BTEST( wall_flags_static_0(k,j,i), 3 ) )
+                                        BTEST( wall_flags_total_0(k,j,i), 3 ) )
              ENDDO
           ENDIF
